Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi.admin
Interface RemoteDynamicConnectionManager

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteDynamicConnectionManager

extends java.rmi.Remote

Manage dynamic connections through RMI client.

See Also:
  `DynamicConnectionManager`

Method Summary
`int` | `addDynamicConnection(DynamicConnectionRecord record, java.lang.String submitter)`
`java.util.List<DynamicConnectionRecord>` | `getAllDynamicConnections(java.lang.String orgName, java.lang.String submitter)`
`java.util.List<DynamicConnectionRecord>` | `getDynamicConnections(java.lang.String orgName, java.lang.String catalog, java.lang.String datasourceName, java.lang.String submitter)`
`java.util.List<DynamicConnectionRecord>` | `getDynamicConnections(java.lang.String orgName, java.lang.String catalog, java.lang.String datasourceName, java.lang.String connectionName, java.lang.String submitter)`
`void` | `removeDynamicConnection(int recordId, java.lang.String submitter)`
`void` | `updateDynamicConnection(DynamicConnectionRecord record, java.lang.String submitter)`

Method Detail

### getAllDynamicConnections

    java.util.List<DynamicConnectionRecord> getAllDynamicConnections(java.lang.String orgName,
                                                                     java.lang.String submitter)
                                                                     throws RptServerException,
                                                                            java.rmi.RemoteException

  Throws:
    `RptServerException`
    `java.rmi.RemoteException`

### getDynamicConnections

    java.util.List<DynamicConnectionRecord> getDynamicConnections(java.lang.String orgName,
                                                                  java.lang.String catalog,
                                                                  java.lang.String datasourceName,
                                                                  java.lang.String submitter)
                                                                  throws RptServerException,
                                                                         java.rmi.RemoteException

  Throws:
    `RptServerException`
    `java.rmi.RemoteException`

### getDynamicConnections

    java.util.List<DynamicConnectionRecord> getDynamicConnections(java.lang.String orgName,
                                                                  java.lang.String catalog,
                                                                  java.lang.String datasourceName,
                                                                  java.lang.String connectionName,
                                                                  java.lang.String submitter)
                                                                  throws RptServerException,
                                                                         java.rmi.RemoteException

  Throws:
    `RptServerException`
    `java.rmi.RemoteException`

### addDynamicConnection

    int addDynamicConnection(DynamicConnectionRecord record,
                             java.lang.String submitter)
                             throws RptServerException,
                                    java.rmi.RemoteException

  Throws:
    `RptServerException`
    `java.rmi.RemoteException`

### updateDynamicConnection

    void updateDynamicConnection(DynamicConnectionRecord record,
                                 java.lang.String submitter)
                                 throws RptServerException,
                                        java.rmi.RemoteException

  Throws:
    `RptServerException`
    `java.rmi.RemoteException`

### removeDynamicConnection

    void removeDynamicConnection(int recordId,
                                 java.lang.String submitter)
                                 throws RptServerException,
                                        java.rmi.RemoteException

  Throws:
    `RptServerException`
    `java.rmi.RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD